Version française
Home     About     Download     Resources     Contact us    
Browse thread
OCaml 3.10 + menhir on hp-ux
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Christoph Bauer <Christoph.Bauer@l...>
Subject: OCaml 3.10 + menhir on hp-ux
Hi,

is there a known regression in ocaml-3.10 on hp-ux?
I cannot compile menhir.opt anymore. I think it was possible 
with 3.09.3. menhir.byte seems to work.

Here is the output of

menhir-20070520% make PREFIX=<prefix>

make  -s PGEN="./menhir.opt -v -lg 1 -la 1 -lc 1 --comment --infer --error-recovery --stdlib ." PARSER=fancy-parser menhir.opt
Fatal error: exception Invalid_argument("index out of bounds")
Fatal error: exception Invalid_argument("index out of bounds")
make[1]: *** [parser.ml] Error 2

or

% ./menhir.opt
Fatal error: exception Invalid_argument("index out of bounds")

Does anybody have an idea what the problem is? 
(Compiling with -g and OCAMLRUNPARAM=b brings no light to
the trouble. The output is unchanged.)

Thanks,
Christoph Bauer
--  
LMS Deutschland GmbH - Geschäftsführer: Dr. Ing. Urbain Vandeurzen, Dr.-Ing. Norbert Reimann - Sitz: Kaiserslautern - Registergericht: HRB Kaiserslautern 3706